Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence
Class EmptySequence

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.EmptySequence

All Implemented Interfaces:
  Identifiable, Sequence

public class EmptySequence
extends Object
implements Sequence

EmptySequence.java Created: Mon Feb 5 17:53:37 2001

Version:
  $Id: EmptySequence.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Method Summary
`Element` | `getElementAt(int param1)` Returns an element at a given location.
`char` | `getElementAtAsChar(int param1)` Returns the character of an target element.
`Identifier` | `getIdentifier()`
`static Sequence` | `getInstance()`
`int` | `getLength()` Returns the length of the sequence.
`char[]` | `getSequenceAsChars()` Returns the sequence as an array of characters.
`Element[]` | `getSequenceAsElements()` Returns the sequence as an array of elements.
`SequenceType` | `getSequenceType()` Returns the type of sequence.
`Sequence` | `getSubSequence(int param1, int param2)` Returns a sub-sequence from the current sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Sequence getInstance()

### getSubSequence

    public Sequence getSubSequence(int param1,
                                   int param2)

  Description copied from interface: `Sequence`
  Returns a sub-sequence from the current sequence.

  Specified by:
    `getSubSequence` in interface `Sequence`
  Parameters:
    `param1` - the initial index of the sub-sequence
  Returns:
    the sub-sequence

### getSequenceType

    public SequenceType getSequenceType()

  Description copied from interface: `Sequence`
  Returns the type of sequence.

  Specified by:
    `getSequenceType` in interface `Sequence`
  Returns:
    the sequence type

### getSequenceAsElements

    public Element[] getSequenceAsElements()

  Description copied from interface: `Sequence`
  Returns the sequence as an array of elements.

  Specified by:
    `getSequenceAsElements` in interface `Sequence`
  Returns:
    the sequence

### getSequenceAsChars

    public char[] getSequenceAsChars()

  Description copied from interface: `Sequence`
  Returns the sequence as an array of characters.

  Specified by:
    `getSequenceAsChars` in interface `Sequence`
  Returns:
    the sequence

### getLength

    public int getLength()

  Description copied from interface: `Sequence`
  Returns the length of the sequence.

  Specified by:
    `getLength` in interface `Sequence`
  Returns:
    the length of the sequence

### getElementAtAsChar

    public char getElementAtAsChar(int param1)

  Description copied from interface: `Sequence`
  Returns the character of an target element.

  Specified by:
    `getElementAtAsChar` in interface `Sequence`
  Parameters:
    `param1` - the location of the target element
  Returns:
    the element character

### getElementAt

    public Element getElementAt(int param1)

  Description copied from interface: `Sequence`
  Returns an element at a given location.

  Specified by:
    `getElementAt` in interface `Sequence`
  Parameters:
    `param1` - the location of the target element
  Returns:
    the element

### getIdentifier

    public Identifier getIdentifier()

  Specified by:
    `getIdentifier` in interface `Identifiable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD